Perl Programming Documentation
Download Perl
Explore

Manual

- Overview
- Tutorials
- FAQs
- History / Changes
- License

Reference

- Language
- Functions
- Operators
- Special Variables
- Pragmas
- Utilities
- Internals
- Platform Specific

Modules

- A • B • C • D • E
- F • G • H • I • L
- M • N • O • P • S
- T • U • X

Tools

- Preferences

# pod2usage

Perl 5 version 16.0 documentation
Go to top
Show page index • Show recent pages
Recently read

# pod2usage

- NAME
- SYNOPSIS
- OPTIONS AND ARGUMENTS
- DESCRIPTION
- SEE ALSO
- AUTHOR

# NAME

pod2usage - print usage messages from embedded pod docs in files

# SYNOPSIS

- pod2usage

  [-help] [-man] [-exit exitval] [-output outfile] [-verbose level] [-pathlist dirlist] file

# OPTIONS AND ARGUMENTS

- -help

  Print a brief help message and exit.

- -man

  Print this command's manual page and exit.

- -exit exitval

  The exit status value to return.

- -output outfile

  The output file to print to. If the special names "-" or ">&1" or ">&STDOUT" are used then standard output is used. If ">&2" or ">&STDERR" is used then standard error is used.

- -verbose level

  The desired level of verbosity to use:

          1 : print SYNOPSIS only    2 : print SYNOPSIS sections and any OPTIONS/ARGUMENTS sections    3 : print the entire manpage (similar to running pod2text)

- -pathlist dirlist

  Specifies one or more directories to search for the input file if it was not supplied with an absolute path. Each directory path in the given list should be separated by a ':' on Unix (';' on MSWin32 and DOS).

- file

  The pathname of a file containing pod documentation to be output in usage message format (defaults to standard input).

# DESCRIPTION

pod2usage will read the given input file looking for pod documentation and will print the corresponding usage message. If no input file is specified then standard input is read.

pod2usage invokes the pod2usage() function in the Pod::Usage module. Please see pod2usage() in Pod::Usage.

# SEE ALSO

Pod::Usage, pod2text(1)

# AUTHOR

Please report bugs using http://rt.cpan.org.

Brad Appleton <bradapp@enteract.com>

Based on code for pod2text(1) written by Tom Christiansen <tchrist@mox.perl.com>

Page index

- NAME
- SYNOPSIS
- OPTIONS AND ARGUMENTS
- DESCRIPTION
- SEE ALSO
- AUTHOR